For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsWorkflow TemplatesSDKAPI Reference
DocsWorkflow TemplatesSDKAPI Reference
  • API Reference
      • GETGet a collection by ID.
      • POSTCreate a collection.
      • PUTUpdate a collection by ID.
      • DELDelete a collection by ID.
  • SDKs
  • SDKs
    • TypeScript SDK
    • Python SDK
LogoLogo
API ReferenceCollections

Update a collection by ID.

Beta
PUT
https://api-prod.scoutos.com/v2/collections/:collection_id
PUT
/v2/collections/:collection_id
$curl -X PUT https://api-prod.scoutos.com/v2/collections/collection_id \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "collection_config": {
4 "collection_display_name": "collection_display_name",
5 "collection_img_url": "collection_img_url",
6 "collection_description": "collection_description",
7 "columns": [
8 {
9 "column_type": "boolean"
10 }
11 ]
12 },
13 "last_updated_at": "2024-01-15T09:30:00Z",
14 "created_at": "2024-01-15T09:30:00Z",
15 "created_by": {
16 "type": "user",
17 "details": {
18 "clerk_user_id": "clerk_user_id",
19 "clerk_org_id": "clerk_org_id",
20 "scout_organization_id": "scout_organization_id",
21 "email": {
22 "key": "value"
23 }
24 }
25 },
26 "last_updated_by": {
27 "type": "user",
28 "details": {
29 "clerk_user_id": "clerk_user_id",
30 "clerk_org_id": "clerk_org_id",
31 "scout_organization_id": "scout_organization_id",
32 "email": {
33 "key": "value"
34 }
35 }
36 },
37 "revision_id": "revision_id",
38 "collection_id": "collection_id"
39 }
40}
Was this page helpful?
Previous

Delete a collection by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired

Request

This endpoint expects an object.
collection_display_namestringOptionalDefaults to Untitled
collection_img_urlstringOptional
collection_descriptionstringOptional
columnslist of objectsOptional

Response

This endpoint returns an object.
dataobject

Errors

422
Unprocessable Entity